## ktrip 25.08.3+p24.04+vunstable+git20251123.1033

=== debian/changelog ===
ktrip (25.08.3+p24.04+vunstable+git20251123.1033-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 10:33:34 +0000

ktrip (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:39:32 +1000
