## ktrip 25.12.0+p24.04+vstable+git20251231.0254

=== debian/changelog ===
ktrip (25.12.0+p24.04+vstable+git20251231.0254-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 02:54:27 +0000

ktrip (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:35:36 +1000
