=== debian/control ===
Source: ktrip
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Matthias Geiger <matthias.geiger1024@tutanota.de>,
           Sandro Knauß <hefee@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               appstream,
               cmake (>= 3.16),
               extra-cmake-modules (>= 6.12.0~),
               gettext,
               kirigami-addons-dev (>= 1.8.0~),
               libkf6config-dev (>= 6.12.0~),
               libkf6coreaddons-dev (>= 6.12.0~),
               libkf6crash-dev (>= 6.12.0~),
               libkf6i18n-dev (>= 6.12.0~),
               libkf6qqc2desktopstyle-dev (>= 6.12.0~),
               libkirigami-dev (>= 6.12.0~),
               libkpublictransport-dev (>= 25.07.71~),
               qt6-base-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
               qt6-declarative-private-dev,
               qt6-svg-dev (>= 6.5.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
               zlib1g-dev,
Standards-Version: 4.7.3
Homepage: https://apps.kde.org/ktrip/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktrip
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktrip.git

Package: ktrip
Architecture: any
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: public transport assistant
 It helps you navigate in public transport. It allows you to find journeys
 between specified locations, departures for a specific station and shows
 real-time delay and disruption information.
