## ktrip 25.12.1+p24.04+vstable+git20260107.0332

=== debian/changelog ===
ktrip (25.12.1+p24.04+vstable+git20260107.0332-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 03:32:41 +0000

ktrip (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:25:31 +1000
