## ktrip 25.12.1+p24.04+vstable+git20260124.0258

=== debian/changelog ===
ktrip (25.12.1+p24.04+vstable+git20260124.0258-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 24 Jan 2026 02:58:31 +0000
