=== debian/changelog ===
ktrip (25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Sun, 08 Feb 2026 16:42:57 +0000

ktrip (25.12.1-1ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Bump Gear build deps to current version.
    - Disable build time tests.
    - Add debian/.gitattributes for changelog merge driver.

 -- Rik Mills <rikmills@kde.org>  Sat, 17 Jan 2026 11:23:40 +0000

ktrip (25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:14:25 +0000
