=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: ktrip
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Matthias Geiger <matthias.geiger1024@tutanota.de>,
            Sandro Knauß <hefee@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: appstream,
+               cmake (>= 3.16),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-qmldeps,
-               appstream,
-               cmake (>= 3.16),
                extra-cmake-modules (>= 6.12.0~),
                gettext,
                kirigami-addons-dev (>= 1.8.0~),
@@ -18,7 +19,7 @@
                libkf6i18n-dev (>= 6.12.0~),
                libkf6qqc2desktopstyle-dev (>= 6.12.0~),
                libkirigami-dev (>= 6.12.0~),
-               libkpublictransport-dev (>= 25.07.71~),
+               libkpublictransport-dev (>= 25.12.2~),
                qt6-base-dev (>= 6.5.0~),
                qt6-declarative-dev (>= 6.5.0~),
                qt6-declarative-private-dev,
@@ -28,8 +29,8 @@
                zlib1g-dev,
 Standards-Version: 4.7.3
 Homepage: https://apps.kde.org/ktrip/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktrip
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktrip.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktrip
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktrip
 
 Package: ktrip
 Architecture: any
